Name: easy-rsa
Version:  3.0.1
Release:  1%{?dist}

Summary: Simple shell based CA utility
Group: Applications/Internet
License: GPLv2

URL: https://github.com/OpenVPN/easy-rsa
Source0: https://github.com/OpenVPN/easy-rsa/releases/download/%{version}/EasyRSA-%{version}.tgz

Requires: openssl
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)


%description
This is a small RSA key management package, based on the openssl
command line tool, that can be found in the easy-rsa subdirectory
of the OpenVPN distribution. While this tool is primary concerned
with key management for the SSL VPN application space, it can also
be used for building web certificates.


%prep
%setup -qn EasyRSA-%{version}
%build
#Nothing to build


%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_datadir}/easy-rsa/%{version}/
(
cd %{buildroot}%{_datadir}/easy-rsa
ln -s %{version} 3.0
ln -s %{version} 3
)
cp -rp easyrsa %{buildroot}%{_datadir}/easy-rsa/%{version}/
cp -rp openssl-1.0.cnf %{buildroot}%{_datadir}/easy-rsa/%{version}/
cp -rp x509-types %{buildroot}%{_datadir}/easy-rsa/%{version}/

%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc COPYING ChangeLog *.md vars.example
%license gpl-2.0.txt
%{_datadir}/easy-rsa/

%changelog
* Wed Feb 03 2016 Jon Ciesla <limburgher@gmail.com> - 3.0.1-1
- Latest stable upstream, BZ 1304339.
- Updated path structure, François Kooman fkooman@tuxed.net

* Mon Sep 21 2015 Jon Ciesla <limburgher@gmail.com> - 3.0.0-1
- Latest stable upstream.

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed Feb 19 2014 Jon Ciesla <limburgher@gmail.com> - 2.2.2-1
- Latest stable upstream.
[A
* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Jun 14 2013 Jon Ciesla <limburgher@gmail.com> - 2.2.0-2
- Update cp to preserve timestamps.

* Wed May 22 2013 Jon Ciesla <limburgher@gmail.com> - 2.2.0-1
- Create.
